diff --git a/contrib/pg_stat_statements/pg_stat_statements.c b/contrib/pg_stat_statements/pg_stat_statements.c
index 16b8074a00..6646690105 100644
--- a/contrib/pg_stat_statements/pg_stat_statements.c
+++ b/contrib/pg_stat_statements/pg_stat_statements.c
@@ -786,8 +786,8 @@ pgss_post_parse_analyze(ParseState *pstate, Query *query)
 	/* Assert we didn't do this already */
 	Assert(query->queryId == UINT64CONST(0));
 
-	/* Safety check... */
-	if (!pgss || !pgss_hash)
+	/* Safety check...and check if pgss is enabled */
+	if (!pgss || !pgss_hash || !pgss_enabled())
 		return;
 
 	/*
